# $Revision: 1.21.2.2 $, $Date: 2007/03/08 14:15:32 $
%include	/usr/lib/rpm/macros.mono
Summary:	Gecko# - A Gtk# Mozilla binding
Summary(pl):	Gecko# - wizanie Gtk# dla Mozilli
Name:		dotnet-gecko-sharp
Version:	0.6
Release:	9
Epoch:		0
License:	GPL
Group:		Libraries
Source0:	http://www.go-mono.com/archive/1.0.6/gecko-sharp-%{version}.tar.gz
# Source0-md5:	9ce9bb08125f7c7eecf8bd696a3345bd
Patch0:		%{name}-mint.patch
Patch1:		%{name}-monodir.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake
# just gtk-sharp
BuildRequires:	dotnet-gtk-sharp-devel >= 0.98
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	mono-csharp >= 1.1.7
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildConflicts:	gecko-sharp < 0.2
Requires:	mono >= 1.1.7
Requires:	dotnet-gtk-sharp >= 0.98
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gecko# - A Gtk# Mozilla binding.

%description -l pl
Gecko# - wizanie Gtk# dla Mozilli.

%package devel
Summary:	Gecko# development files
Summary(pl):	Pliki programistyczne Gecko#
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Gecko# development files.

%description devel -l pl
Pliki programistyczne Gecko#.

%prep
%setup -q -n gecko-sharp-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

if ! pkg-config --exists mono; then
	sed -i -e 's/exec mono/exec mint/' $RPM_BUILD_ROOT%{_bindir}/webshot
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root)%{_bindir}/webshot
%{_libdir}/gecko-sharp
%{_prefix}/lib/mono/gac/gecko-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gecko-sharp
%{_pkgconfigdir}/gecko-sharp.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gecko-sharp.spec,v $
Revision 1.21.2.2  2007/03/08 14:15:32  qboosh
- release 9: rebuild with restored mono() deps

Revision 1.21.2.1  2007/02/17 15:47:02  qboosh
- release 8

Revision 1.21  2007/01/30 07:07:22  glen
- drop R: mozilla-firefox (please fill proper R/BR); rel 7

Revision 1.20  2006/12/09 23:28:05  glen
- mozilla-firefox; rel 6

Revision 1.19  2005/12/03 12:41:20  qboosh
- updated mint patch, added monodir patch for mono dlls in /usr/lib (R: mono >= 1.1.7)
- fixed release number in previous changelog entry
- release 5

Revision 1.18  2005/11/30 16:15:21  freetz
- exclude i386 alpha sparc sparc64 from build, rel.4

Revision 1.17  2005/09/16 14:54:46  wolf
- remove mutual obsoletes

Revision 1.16  2005/09/15 13:02:37  wolf
- rel 3

Revision 1.15  2005/08/22 17:50:34  wolf
- mono auto deps

Revision 1.14  2005/05/03 21:15:27  qboosh
- build on alpha, revised deps, fix webshot if only mint is available; release 2

Revision 1.13  2004/10/28 07:20:40  aflinta
- up to version 0.6

Revision 1.12  2004/08/20 08:05:07  krzak
- ExcludeArch: alpha
- rel 3

Revision 1.11  2004/08/15 19:06:59  krzak
- mono-csharp already require mono-devel

Revision 1.10  2004/07/04 07:41:28  krzak
- R,BR : mozilla-embedded

Revision 1.9  2004/07/02 08:36:56  krzak
- rel. 2
- min.patch - build with mint now.
- updated source0 url

Revision 1.8  2004/07/02 07:57:12  krzak
- URL update
- BR dotnet-gtk-sharp-devel >= 0.98

Revision 1.7  2004/06/20 17:06:28  grzegol
- added missing dirs
- added more BRs
- cosmetics

Revision 1.6  2004/06/20 16:50:31  aflinta
- up to version 0.5

Revision 1.5  2004/06/07 09:55:17  aflinta
- up to version 0.4

Revision 1.4  2004/05/05 11:04:01  malekith
- rename to dotnet-gecko; upgrade to 0.2

Revision 1.3  2004/04/06 16:56:05  qboosh
- simple summaries/descriptions

Revision 1.2  2004/04/05 23:40:27  twittner
- md5

Revision 1.1  2004/04/05 23:37:11  twittner
- added
